import { css } from '@emotion/css';
import React__default from 'react';
import { useTheme2 } from '../../themes/ThemeContext.js';
import '@grafana/data';
import 'memoize-one';
import '@emotion/react';
import 'tinycolor2';

const Divider = ({ direction = "horizontal" }) => {
  const theme = useTheme2();
  const styles = getStyles(theme);
  if (direction === "vertical") {
    return /* @__PURE__ */ React__default.createElement("div", { className: styles.verticalDivider });
  } else {
    return /* @__PURE__ */ React__default.createElement("hr", { className: styles.horizontalDivider });
  }
};
Divider.displayName = "Divider";
const getStyles = (theme) => {
  return {
    horizontalDivider: css({
      borderTop: `1px solid ${theme.colors.border.weak}`,
      margin: theme.spacing(2, 0),
      width: "100%"
    }),
    verticalDivider: css({
      borderRight: `1px solid ${theme.colors.border.weak}`,
      margin: theme.spacing(0, 0.5),
      height: "100%"
    })
  };
};

export { Divider };
//# sourceMappingURL=Divider.js.map
